//***********************************************************
//               TSaxEntityResolver 1.00 (Jan. 14, 2000)    *
//                                                          *
//                       For Delphi 5                       *
//                     Freeware Component                   *
//                            by                            *
//                     Per Linds Larsen                    *
//                   per.lindsoe@larsen.dk                  *
//                                                          *
//  Documentation and updated versions:                     *
//                                                          *
//               http://www.euromind.com/iedelphi           *
//***********************************************************


// NOTE: Not implemented in MSXML 3.0


unit SAXEntityResolver;

interface

uses
 msxml2_tlb, Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type

  TresolveEntityEvent = function(var strPublicId: WideString; var strSystemId: WideString): OleVariant of object;


  TSAXEntityResolver = class(TComponent, IVBSAXEntityResolver)
  private
    { Private declarations }
    FResolveEntity: TresolveEntityEvent;
  protected
    { Protected declarations }
  public
    { Public declarations }
    function  resolveEntity(var strPublicId: WideString; var strSystemId: WideString): OleVariant; safecall;
  published
    { Published declarations }
    property OnResolveEntity: TresolveEntityEvent read FResolveEntity write FResolveEntity;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TSAXEntityResolver]);
end;

{ TSAXEntityResolver }

function TSAXEntityResolver.resolveEntity(var strPublicId,
  strSystemId: WideString): OleVariant;
begin
If Assigned(FresolveEntity) then Result:=FresolveEntity(strPublicID, strSystemID);
end;

end.
