//***********************************************************
//               TEdithost ver 1.00 (Jan. 14, 2000)         *
//                                                          *
//                       For Delphi 4/5                     *
//                     Freeware Component                   *
//                            by                            *
//                     Per Linds Larsen                    *
//                   per.lindsoe@larsen.dk                  *
//                                                          *
//  Documentation and updated versions:                     *
//                                                          *
//               http://www.euromind.com/iedelphi           *
//***********************************************************

unit Edithost;

interface

uses
 mshtml_tlb, Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;



const

  SID_SHTMLEditHost: TGUID = (D1: $3050F6A0; D2: $98B5; D3: $11CF; D4: ($BB, $82, $00, $AA, $00, $BD, $CE, $0B));


type


  TSnapRect = function (const pIElement: IHTMLElement; var prcNew: tagRECT; eHandle: _ELEMENT_CORNER): HResult of object;

  TEditHost = class(TComponent, IUnknown, IHTMLEditHost)
  private
    { Private declarations }
    FSnapRect : TSnapRect;
    FEnabled : Boolean;
  protected
    { Protected declarations }
    function  SnapRect(const pIElement: IHTMLElement; var prcNew: tagRECT; eHandle: _ELEMENT_CORNER): HResult; stdcall;
  public
    { Public declarations }
  published
    { Published declarations }
     property OnSnapRect : TSnapRect read FSnapRect write FSnapRect;
     property Enabled : Boolean read FEnabled write FEnabled;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TEditHost]);
end;

{ TEditHost }

function TEditHost.SnapRect(const pIElement: IHTMLElement;
  var prcNew: tagRECT; eHandle: _ELEMENT_CORNER): HResult;
begin
Result:=S_OK;
If Assigned(FSnapRect) and FEnabled then
Result:=FSnapRect(pIElement, prcNew, eHandle);
end;

end.
