//***********************************************************
//               IE Automation Demo 1.00 (Jan. 14, 2000)    *
//                                                          *
//                       For Delphi 4/5                     *
//                            by                            *
//                     Per Linds Larsen                    *
//                   per.lindsoe@larsen.dk                  *
//                                                          *
//  Documentation and updated versions:                     *
//                                                          *
//               http://www.euromind.com/iedelphi           *
//***********************************************************

unit _Logview;

interface

uses
  activex, Shdocvw_tlb, Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, SHDocVwEvents;

type
  TForm1 = class(TForm)
    WBEvents: TDWebBrowserEvents2;
    ShellWinEvents: TDShellWindowsEvents;
    ListBox1: TListBox;
    procedure FormCreate(Sender: TObject);
    procedure ShellWinEventsWindowRegistered(Sender: TObject;
      lCookie: Integer);
    procedure WBEventsBeforeNavigate2(Sender: TObject;
      const pDisp: IDispatch; var URL, Flags, TargetFrameName, PostData,
      Headers: OleVariant; var Cancel: WordBool);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}




var
  ShellWin: ShDocVw_Tlb.IShellWindows; //NB!!
  Connection: Integer;

procedure InterfaceConnect(const Source: IUnknown; const IID: TIID;
  const Sink: IUnknown; var Connection: Longint);
var
  CPC: IConnectionPointContainer;
  CP: IConnectionPoint;
begin
  Connection := 0;
  if Succeeded(Source.QueryInterface(IConnectionPointContainer, CPC)) then
    if Succeeded(CPC.FindConnectionPoint(IID, CP)) then
      CP.Advise(Sink, Connection);
end;


procedure TForm1.FormCreate(Sender: TObject);
var
  X: Integer;
begin
  ShellWin := CoShellWindows.Create;
  ShellWinEvents.Connect(ShellWin);
  for x := 0 to ShellWin.Count - 1 do
    InterfaceConnect(ShellWin.Item(x) as IWebbrowser2, DwebbrowserEvents2, WBevents, Connection);
end;

procedure TForm1.ShellWinEventsWindowRegistered(Sender: TObject;
  lCookie: Integer);
begin
  InterfaceConnect(ShellWin.Item(ShellWin.Count - 1) as IWebbrowser2, DwebbrowserEvents2, WBevents, Connection);
end;

procedure TForm1.WBEventsBeforeNavigate2(Sender: TObject;
  const pDisp: IDispatch; var URL, Flags, TargetFrameName, PostData,
  Headers: OleVariant; var Cancel: WordBool);
begin
  listbox1.items.add(url);
end;

end.

