program demo;

uses
  Forms,
  Windows,
  SysUtils,
  Registry,
  main in 'main.pas' {FormMain},
  intercept in 'intercept.pas' {FormIntercept};

{$R *.RES}

function IsIE5Installed: Boolean;
var
  Reg : TRegistry;
  S   : string;
begin
  Reg := TRegistry.Create;
  with Reg do
  begin
    RootKey := HKEY_LOCAL_MACHINE;
    try
      OpenKey( 'Software\Microsoft\Internet Explorer', False );
      if ValueExists( 'Version' ) then
        S := ReadString( 'Version' )
      else
        S := '0';
      CloseKey;
    finally
      Free;
    end;
  end;
  Result := ( StrToInt( S[1] ) > 4 );
end;

begin
  if not IsIE5Installed then
  begin
    MessageBox( GetDesktopWindow(),
                'Application aborted. This demo requires IE5 or higher.',
                'Information',
                MB_OK + MB_ICONINFORMATION
    );
    Exit;
  end;
  Application.Initialize;
  Application.Title := 'TWebBrowser Demo';
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormIntercept, FormIntercept);
  Application.Run;
end.
